SDL_UnlockSurface(3)

NAME
SDL_UnlockSurface - Release a surface after directly accessing the pixels.

SYNOPSIS
#include <SDL3/SDL_surface.h>

void SDL_UnlockSurface(SDL_Surface *surface);

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to be unlocked.

THREAD SAFETY
This function is not thread safe. The locking referred to by this function is making the pixels available for direct access, not thread-safe locking.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_LockSurface(3)